org.apache.sysds.runtime.compress.cocode

## Class ColumnGroupPartitionerStatic

- java.lang.Object
- - org.apache.sysds.runtime.compress.cocode.ColumnGroupPartitioner
  - - org.apache.sysds.runtime.compress.cocode.ColumnGroupPartitionerStatic

-     public class ColumnGroupPartitionerStatic
      extends ColumnGroupPartitioner

  Column group partitioning with static distribution heuristic.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnGroupPartitionerStatic()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<int[]>` | `partitionColumns(List<Integer> groupCols, HashMap<Integer,PlanningCoCoder.GroupableColInfo> groupColsInfo, CompressionSettings cs)` Partitions a list of columns into a list of partitions that contains subsets of columns.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ColumnGroupPartitionerStatic

          public ColumnGroupPartitionerStatic()

  - ### Method Detail

    - #### partitionColumns

          public List<int[]> partitionColumns(List<Integer> groupCols,
                                              HashMap<Integer,PlanningCoCoder.GroupableColInfo> groupColsInfo,
                                              CompressionSettings cs)

      Description copied from class: `ColumnGroupPartitioner`
      Partitions a list of columns into a list of partitions that contains subsets of columns. Note that this call must compute a complete and disjoint partitioning.
      Specified by:
        `partitionColumns` in class `ColumnGroupPartitioner`
      Parameters:
        `groupCols` - list of columns
        `groupColsInfo` - list of column infos
        `cs` - The Compression settings used for the compression
      Returns:
        list of partitions (where each partition is a list of columns)

Copyright © 2020 The Apache Software Foundation. All rights reserved.